Subject: Re: [dns-privacy] Ben Campbell's No Objection on draft-ietf-dprive-padding-policy-05: (with COMMENT)

From: Alexander Mayrhofer <[email-masked]>
Date: Wed, 18 Jul 2018 15:27:18 +0200

Ben,

thanks for your review and COMMENT. Responses inline below:

On Wed, Jun 20, 2018 at 5:21 AM, Ben Campbell <[email-masked]> wrote:
> Ben Campbell has entered the following ballot position for
> draft-ietf-dprive-padding-policy-05: No Objection
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> (I might ballot "yes" on a more mature version of this as standards track or
> BCP, should one be offered :-) )
>
> Why is this experimental? What is the nature of the experiment? Even if it's
> just to get more operational experience, it's worth saying that explicitly.

The document is experimental because the recommendation is based on a
single empiric study. We hope to receive more telemtry from the field
once that document is in place, and the idea is indeed that a
follow-up document is created once more such research becomes
available. PEARG is listing DNS padding as one of the research
options.

> §2: There are a number of lower-case versions of normative keywords. Please
> consider the boilerplate from RFC 8174.

I wasn't aware of that. Great improvement - i'll use that boilerplate
in the -06 version.

> §A.2: ' "Fixed Length Padding" MUST NOT be used except for experimental
> applications.' This entire draft is experimental.

Hm. Good point. Would "test applications" solve this issue? I've
changed the text accordingly now..

best,
Alex